---
layout: base
title: Blog
pagination:
  data: collections.posts
  size: 10
  alias: posts
  reverse: true
---

<main class="container max-w-screen-xl mx-auto mt-12 mb-8 px-4">
  <div class="xl:grid xl:gap-8 xl:py-12 xl:grid-cols-3 items-start">
    <header>
      <h1 class="text-5xl mb-16">{{ title }}</h1>
    </header>
    <div class="col-span-2">
      {% for post in posts -%}
      <article class="mb-8 flex flex-row items-end w-full">
          <div class="grow flex flex-col justify-between">
            <div>
              <h2 class="text-xl mb-1"><a class="hover:underline font-bold" href="{{ post.url }}">{{ post.data.title }}</a></h2>
              <p class="mb-2">{{ post.data.date | date: "%B %e, %Y" }}</p>
            </div>
          </div>
      </article>
      {% endfor -%}

      <nav class="mb-8">
        <ul class="flex justify-between w-full h-10">
          {% if page.url != pagination.href.first -%}
          <li><a class="block font-bold text-gray-900 hover:underline" href="{{ pagination.href.previous }}">Newer</a></li>
          {% endif -%}
          <li class="flex-grow-1"></li>
          {% if page.url != pagination.href.last -%}
          <li><a class="block font-bold text-gray-900 hover:underline" href="{{ pagination.href.next }}">Older</a></li>
          {% endif -%}
        </ul>
      </nav>
    </div>
  </div>
</main>
